Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::DimensionI Class Reference

整数寸法 More...

`#include <DimensionI.h>`

List of all members.

## Public Member Functions
| DimensionI ()
| コンストラクタ
| DimensionI (int sourceWidth, int sourceHeight)
| コンストラクタ
| DimensionI (int sourceArray[2])
| コンストラクタ
| DimensionI (const DimensionF &source)
| コンストラクタ
void | set (int sourceWidth, int sourceHeight)
| 値の設定
void | set (int sourceArray[2])
| 値の設定
void | set (const DimensionF &source)
| 値の設定
DimensionI | operator+ (const DimensionI &addDimension) const
| 加算
DimensionI | operator- (const DimensionI &subDimension) const
| 減算
DimensionI | operator * (const DimensionI &mulDimension) const
| 乗算
DimensionI | operator * (float mulValue) const
| 乗算
DimensionI | operator * (int mulValue) const
| 乗算
DimensionI | operator+ () const
| +演算子
DimensionI | operator- () const
| -演算子
DimensionI & | operator+= (const DimensionI &addDimension)
| 代入加算
DimensionI & | operator-= (const DimensionI &subDimension)
| 代入減算
DimensionI & | operator *= (const DimensionI &mulDimension)
| 代入乗算
DimensionI & | operator *= (float mulValue)
| 代入乗算
DimensionI & | operator *= (int mulValue)
| 代入乗算
bool | operator== (const DimensionI &target) const
| 同じ値かどうか
bool | operator!= (const DimensionI &target) const
| 同じ値でないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const DimensionI | zero
| ゼロ寸法
const DimensionI | unit
| 単位寸法
## Friends
DimensionI | operator * (float mulValue, const DimensionI &mulDimension)
| 乗算
DimensionI | operator * (int mulValue, const DimensionI &mulDimension)
| 乗算

## Detailed Description

整数寸法

このクラスは継承しないで下さい。

Definition at line 38 of file DimensionI.h.

## Constructor & Destructor Documentation

Lamp::DimensionI::DimensionI | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 74 of file DimensionI.h. Referenced by operator *(), operator+(), and operator-().

Lamp::DimensionI::DimensionI | ( | int | sourceWidth,
|  | int | sourceHeight
| ) | `[inline]`

  | コンストラクタ Parameters:
  sourceWidth | 幅の初期値
  sourceHeight | 高さの初期値
Definition at line 81 of file DimensionI.h. References height, and width.

Lamp::DimensionI::DimensionI | ( | int | sourceArray[2] | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  sourceArray | 初期値配列
Definition at line 88 of file DimensionI.h. References height, and width.

Lamp::DimensionI::DimensionI | ( | const DimensionF & | source | ) | `[explicit]`

  | コンストラクタ Parameters:
  source | 設定する寸法
Definition at line 42 of file DimensionI.cpp. References Lamp::DimensionF::height, height, Lamp::DimensionF::width, and width.

## Member Function Documentation

DimensionI Lamp::DimensionI::operator * | ( | int | mulValue | ) | const`[inline]`

  | 乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された寸法 Definition at line 184 of file DimensionI.h. References DimensionI(), height, and width.

DimensionI Lamp::DimensionI::operator * | ( | float | mulValue | ) | const`[inline]`

  | 乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された寸法 Definition at line 163 of file DimensionI.h. References DimensionI(), height, and width.

DimensionI Lamp::DimensionI::operator * | ( | const DimensionI & | mulDimension | ) | const`[inline]`

  | 乗算 Parameters:
  mulDimension | 乗算する寸法
Returns: 乗算された寸法 Definition at line 153 of file DimensionI.h. References DimensionI(), height, and width.

DimensionI& Lamp::DimensionI::operator *= | ( | int | mulValue | ) | `[inline]`

  | 代入乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された寸法 Definition at line 264 of file DimensionI.h. References height, and width.

DimensionI& Lamp::DimensionI::operator *= | ( | float | mulValue | ) | `[inline]`

  | 代入乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された寸法 Definition at line 253 of file DimensionI.h. References height, and width.

DimensionI& Lamp::DimensionI::operator *= | ( | const DimensionI & | mulDimension | ) | `[inline]`

  | 代入乗算 Parameters:
  mulDimension | 乗算する寸法
Returns: 乗算された寸法 Definition at line 242 of file DimensionI.h. References height, and width.

bool Lamp::DimensionI::operator!= | ( | const DimensionI & | target | ) | const`[inline]`

  | 同じ値でないかどうか Parameters:
  target | 比較する寸法
Returns: 同じ値でなければtrueを返す Definition at line 287 of file DimensionI.h. References height, and width.

DimensionI Lamp::DimensionI::operator+ | ( |  | ) | const`[inline]`

| +演算子 Returns: 寸法のコピー Definition at line 204 of file DimensionI.h.

DimensionI Lamp::DimensionI::operator+ | ( | const DimensionI & | addDimension | ) | const`[inline]`

  | 加算 Parameters:
  addDimension | 加算する寸法
Returns: 加算された寸法 Definition at line 133 of file DimensionI.h. References DimensionI(), height, and width.

DimensionI& Lamp::DimensionI::operator+= | ( | const DimensionI & | addDimension | ) | `[inline]`

  | 代入加算 Parameters:
  addDimension | 加算する寸法
Returns: 加算された寸法 Definition at line 220 of file DimensionI.h. References height, and width.

DimensionI Lamp::DimensionI::operator- | ( |  | ) | const`[inline]`

| -演算子 Returns: 値の符号が反転した寸法 Definition at line 210 of file DimensionI.h. References DimensionI(), height, and width.

DimensionI Lamp::DimensionI::operator- | ( | const DimensionI & | subDimension | ) | const`[inline]`

  | 減算 Parameters:
  subDimension | 減算する寸法
Returns: 減算された寸法 Definition at line 143 of file DimensionI.h. References DimensionI(), height, and width.

DimensionI& Lamp::DimensionI::operator-= | ( | const DimensionI & | subDimension | ) | `[inline]`

  | 代入減算 Parameters:
  subDimension | 減算する寸法
Returns: 減算された寸法 Definition at line 231 of file DimensionI.h. References height, and width.

bool Lamp::DimensionI::operator== | ( | const DimensionI & | target | ) | const`[inline]`

  | 同じ値かどうか Parameters:
  target | 比較する寸法
Returns: 同じ値であればtrueを返す Definition at line 278 of file DimensionI.h. References height, and width.

void Lamp::DimensionI::set | ( | const DimensionF & | source | ) |

  | 値の設定 Parameters:
  source | 設定する寸法
Definition at line 48 of file DimensionI.cpp. References Lamp::DimensionF::height, height, Lamp::DimensionF::width, and width.

void Lamp::DimensionI::set | ( | int | sourceArray[2] | ) | `[inline]`

  | 値の設定 Parameters:
  sourceArray | 設定値配列
Definition at line 114 of file DimensionI.h. References height, and width.

void Lamp::DimensionI::set | ( | int | sourceWidth,
|  | int | sourceHeight
| ) | `[inline]`

  | 値の設定 Parameters:
  sourceWidth | 幅の設定値
  sourceHeight | 高さの設定値
Definition at line 105 of file DimensionI.h. References height, and width. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset(), Lamp::GraphicsDeviceSettings::getBackBufferSize(), Lamp::GraphicsDeviceSettings::GraphicsDeviceSettings(), and Lamp::SimpleFramework::SimpleFramework().

String Lamp::DimensionI::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 寸法の文字列表記 Definition at line 298 of file DimensionI.h. References Lamp::String::format(), height, and width. Referenced by Lamp::SceneLogicCheckFilter::filterPicture().

## Friends And Related Function Documentation

DimensionI operator * | ( | int | mulValue,
|  | const DimensionI & | mulDimension
| ) | `[friend]`

  | 乗算 Parameters:
  mulValue | 乗算する値
  mulDimension | 乗算される寸法
Returns: 乗算された寸法 Definition at line 194 of file DimensionI.h.

DimensionI operator * | ( | float | mulValue,
|  | const DimensionI & | mulDimension
| ) | `[friend]`

  | 乗算 Parameters:
  mulValue | 乗算する値
  mulDimension | 乗算される寸法
Returns: 乗算された寸法 Definition at line 173 of file DimensionI.h.

The documentation for this class was generated from the following files:

- DimensionI.h
- DimensionI.cpp